com.tibco.bpm.service.connector

## Class ChannelBusService

- java.lang.Object
- - com.tibco.bpm.service.connector.ChannelBusService

- All Implemented Interfaces:
    ChannelBusService

      public class ChannelBusService
      extends java.lang.Object
      implements ChannelBusService

  Provides access to the ChannelBusService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.wp.api.base.PresentationChannel[]` | `getPresentationChannel(java.lang.String channelId)` Returns an array of channel information for the supplied channelId.
    `com.tibco.n2.wp.api.base.PresentationChannel[]` | `getPresentationChannel(java.lang.String channelId, com.tibco.n2.common.channeltype.ChannelType.Enum channelType)` Returns the channel information for a particular channel type.
    `com.tibco.n2.wp.api.base.ChannelTypeDetail[]` | `listChannelTypes(com.tibco.n2.common.channeltype.ImplementationType.Enum channelImpl)` Lists the available channel types based on channel implementation type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPresentationChannel

          public com.tibco.n2.wp.api.base.PresentationChannel[] getPresentationChannel(java.lang.String channelId,
                                                                                       com.tibco.n2.common.channeltype.ChannelType.Enum channelType)
                                                                                throws com.tibco.n2.wp.services.ChannelUnavailableFault,
                                                                                       com.tibco.n2.wp.services.InternalServiceFault

      Description copied from interface: `ChannelBusService`
      Returns the channel information for a particular channel type. If a channelId is not supplied then all the deployed channels are returned.
      Specified by:
        `getPresentationChannel` in interface `ChannelBusService`
      Returns:
      Throws:
        `com.tibco.n2.wp.services.ChannelUnavailableFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### getPresentationChannel

          public com.tibco.n2.wp.api.base.PresentationChannel[] getPresentationChannel(java.lang.String channelId)
                                                                                throws com.tibco.n2.wp.services.ChannelUnavailableFault,
                                                                                       com.tibco.n2.wp.services.InternalServiceFault

      Description copied from interface: `ChannelBusService`
      Returns an array of channel information for the supplied channelId. More than one channel type implementation can use the same channel id.
      Specified by:
        `getPresentationChannel` in interface `ChannelBusService`
      Returns:
      Throws:
        `com.tibco.n2.wp.services.ChannelUnavailableFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### listChannelTypes

          public com.tibco.n2.wp.api.base.ChannelTypeDetail[] listChannelTypes(com.tibco.n2.common.channeltype.ImplementationType.Enum channelImpl)
                                                                        throws com.tibco.n2.wp.services.InternalServiceFault

      Description copied from interface: `ChannelBusService`
      Lists the available channel types based on channel implementation type.
      Specified by:
        `listChannelTypes` in interface `ChannelBusService`
      Returns:
      Throws:
        `com.tibco.n2.wp.services.InternalServiceFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.